/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id$
 */

package com.sun.ts.tests.jsonb.customizedmapping.instantiation.model;

import javax.json.bind.annotation.JsonbCreator;

public class IllegalInstanceFactoryCreatorContainer {
    private String stringInstance;
    private Integer integerInstance;
    private float floatInstance;

    private IllegalInstanceFactoryCreatorContainer() {}

    @JsonbCreator
    public static SimpleFactoryCreatorContainer createInstance(String stringInstance) {
        SimpleFactoryCreatorContainer simpleFactoryCreatorContainer = new SimpleFactoryCreatorContainer();
        simpleFactoryCreatorContainer.setStringInstance("Factory String");
        simpleFactoryCreatorContainer.setIntegerInstance(2);
        simpleFactoryCreatorContainer.setFloatInstance(3);
        return simpleFactoryCreatorContainer;
    }

    public String getStringInstance() {
        return stringInstance;
    }

    public void setStringInstance(String stringInstance) {
        this.stringInstance = stringInstance;
    }

    public Integer getIntegerInstance() {
        return integerInstance;
    }

    public void setIntegerInstance(Integer integerInstance) {
        this.integerInstance = integerInstance;
    }

    public float getFloatInstance() {
        return floatInstance;
    }

    public void setFloatInstance(float floatInstance) {
        this.floatInstance = floatInstance;
    }
}
